<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	
      </td>
      <td width="40%" class="center">
      	
      </td>
      <td width="30%" class="next">
      	
      </td>
    </tr></table>
      <hr />
    </div>



    
    <br /><br />
    <h3 class="book-title">IPCV - Image Processing and Computer Vision Toolbox for Scilab</h3>
<ul class="list-part"><a name="ipcv_-_image_processing_and_computer_vision_toolbox_for_scilab_manual"></a><div class="info"></div>

<li><a href="section_e7c3364ca391bc70e8172e4313e89970.html" class="part">Analytic Geometry</a>
<ul class="list-chapter"><li><a href="plot3dot.html" class="refentry">plot3dot</a> &#8212; <span class="refentry-description">3-D Parametric plot for opoints</span></li></ul></li>
<li><a href="section_8792051ef89a035bfefbe098ed0172e1.html" class="part">Feature Detection, Description and Matching</a>
<ul class="list-chapter"><li><a href="imbestmatches.html" class="refentry">imbestmatches</a> &#8212; <span class="refentry-description">Find the best matched features from 2 features objects and the matching matrix</span></li>





<li><a href="imdetect_BRISK.html" class="refentry">imdetect_BRISK</a> &#8212; <span class="refentry-description">Detect features from an image with BRISK algorithm</span></li>





<li><a href="imdetect_DENSE.html" class="refentry">imdetect_DENSE</a> &#8212; <span class="refentry-description">Detect features from an image with DENSE algorithm</span></li>





<li><a href="imdetect_FAST.html" class="refentry">imdetect_FAST</a> &#8212; <span class="refentry-description">Detect features from an image with FAST algorithm. Usually used for corner features.</span></li>





<li><a href="imdetect_GFTT.html" class="refentry">imdetect_GFTT</a> &#8212; <span class="refentry-description">Detect features from an image with GFTT algorithm</span></li>





<li><a href="imdetect_HARRIS.html" class="refentry">imdetect_HARRIS</a> &#8212; <span class="refentry-description">Detect features from an image with HARRIS algorithm</span></li>





<li><a href="imdetect_MSER.html" class="refentry">imdetect_MSER</a> &#8212; <span class="refentry-description">Detect features from an image with MSER algorithm</span></li>





<li><a href="imdetect_ORB.html" class="refentry">imdetect_ORB</a> &#8212; <span class="refentry-description">Detect features from an image with ORB algorithm</span></li>





<li><a href="imdetect_SIFT.html" class="refentry">imdetect_SIFT</a> &#8212; <span class="refentry-description">Detect features from an image with SIFT algorithm</span></li>





<li><a href="imdetect_STAR.html" class="refentry">imdetect_STAR</a> &#8212; <span class="refentry-description">Detect features from an image with STAR algorithm</span></li>





<li><a href="imdetect_SURF.html" class="refentry">imdetect_SURF</a> &#8212; <span class="refentry-description">Detect features from an image with SURF algorithm</span></li>





<li><a href="imdrawmatches.html" class="refentry">imdrawmatches</a> &#8212; <span class="refentry-description">Draw matching result for 2 images</span></li>





<li><a href="imextract_DescriptorBRIEF.html" class="refentry">imextract_DescriptorBRIEF</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image with BRIEF method.</span></li>





<li><a href="imextract_DescriptorBRISK.html" class="refentry">imextract_DescriptorBRISK</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image with BRISK method.</span></li>





<li><a href="imextract_DescriptorFREAK.html" class="refentry">imextract_DescriptorFREAK</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image with FREAK method.</span></li>





<li><a href="imextract_DescriptorORB.html" class="refentry">imextract_DescriptorORB</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image  with ORB method.</span></li>





<li><a href="imextract_DescriptorSIFT.html" class="refentry">imextract_DescriptorSIFT</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image  with SIFT method.</span></li>





<li><a href="imextract_DescriptorSURF.html" class="refentry">imextract_DescriptorSURF</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image  with SURF method.</span></li>





<li><a href="immatch_BruteForce.html" class="refentry">immatch_BruteForce</a> &#8212; <span class="refentry-description">Brute-force matcher for features matching.</span></li>





<li><a href="plotfeature.html" class="refentry">plotfeature</a> &#8212; <span class="refentry-description">Plot the features detected by feature detectors</span></li></ul></li>
<li><a href="section_c84cce433d3f2911b0e15e783e7281bf.html" class="part">Filter Design and Visualization</a>
<ul class="list-chapter"><li><a href="fft2pad.html" class="refentry">fft2pad</a> &#8212; <span class="refentry-description">Pad smaller matrix with zeros to the given size before transformation.</span></li>





<li><a href="immesh.html" class="refentry">immesh</a> &#8212; <span class="refentry-description">Visualize 2D matrix using mesh plot, useful for frequency response visualization.</span></li>





<li><a href="imsmoothsurf.html" class="refentry">imsmoothsurf</a> &#8212; <span class="refentry-description">Visualize 2D matrix using smooth surf plot, useful for frequency response visualization.</span></li>





<li><a href="imsurf.html" class="refentry">imsurf</a> &#8212; <span class="refentry-description">Visualize 2D matrix using surf plot, useful for frequency response visualization.</span></li>





<li><a href="mkfftfilter.html" class="refentry">mkfftfilter</a> &#8212; <span class="refentry-description">Create frequency domain filter</span></li></ul></li>
<li><a href="section_f17847494401c51daa9e1bfe09408f94.html" class="part">Image Analysis and Statistics</a>
<ul class="list-chapter"><li><a href="corr2.html" class="refentry">corr2</a> &#8212; <span class="refentry-description">2D correlation coefficient</span></li>





<li><a href="edge.html" class="refentry">edge</a> &#8212; <span class="refentry-description">Find edges in a single channel image.</span></li>





<li><a href="imhist.html" class="refentry">imhist</a> &#8212; <span class="refentry-description">get the histogram of an image</span></li>





<li><a href="impixel.html" class="refentry">impixel</a> &#8212; <span class="refentry-description">Return selected pixel coordinates and values</span></li>





<li><a href="improfile.html" class="refentry">improfile</a> &#8212; <span class="refentry-description">Return profiles for the selected 2 points</span></li>





<li><a href="mean2.html" class="refentry">mean2</a> &#8212; <span class="refentry-description">Average/mean of matrix elements</span></li>





<li><a href="std2.html" class="refentry">std2</a> &#8212; <span class="refentry-description">Standard deviation of 2D matrix elements</span></li>





<li><a href="stdev2.html" class="refentry">stdev2</a> &#8212; <span class="refentry-description">Standard deviation of 2D matrix elements</span></li></ul></li>
<li><a href="section_471e076252aa90400cc5fd4ddf072a54.html" class="part">Image Arithmetic</a>
<ul class="list-chapter"><li><a href="imabsdiff.html" class="refentry">imabsdiff</a> &#8212; <span class="refentry-description">Calculate absolute difference of two images</span></li>





<li><a href="imadd.html" class="refentry">imadd</a> &#8212; <span class="refentry-description">Add two images or add a constant to an image</span></li>





<li><a href="imcomplement.html" class="refentry">imcomplement</a> &#8212; <span class="refentry-description">Complement image</span></li>





<li><a href="imdivide.html" class="refentry">imdivide</a> &#8212; <span class="refentry-description">Divide two images or divide an image by an constant.</span></li>





<li><a href="imlincomb.html" class="refentry">imlincomb</a> &#8212; <span class="refentry-description">Linear combination of images</span></li>





<li><a href="immultiply.html" class="refentry">immultiply</a> &#8212; <span class="refentry-description">Multiply two images or multiply an image by an constant.</span></li>





<li><a href="imsubtract.html" class="refentry">imsubtract</a> &#8212; <span class="refentry-description">Subtract two images or subtract a constant from an image</span></li></ul></li>
<li><a href="section_574e3b4e7087dab9ef32adbdaa6a972f.html" class="part">Image Block Processing</a>
<ul class="list-chapter"><li><a href="im2col.html" class="refentry">im2col</a> &#8212; <span class="refentry-description">Convert image into series of columns</span></li>





<li><a href="imblockproc.html" class="refentry">imblockproc</a> &#8212; <span class="refentry-description">Distict block processing for an image</span></li>





<li><a href="imblockslide.html" class="refentry">imblockslide</a> &#8212; <span class="refentry-description">Sliding block processing for an image</span></li>





<li><a href="imcolproc.html" class="refentry">imcolproc</a> &#8212; <span class="refentry-description">Sliding block processing for an image, with vectorization</span></li></ul></li>
<li><a href="section_66be415d912567cd351e37e73bc467f0.html" class="part">Image Enhancement and Restoration</a>
<ul class="list-chapter"><li><a href="imadjust.html" class="refentry">imadjust</a> &#8212; <span class="refentry-description">Adjust the intensity of an image from given source histogram range to the destination histogram range</span></li>





<li><a href="imdeconvl2.html" class="refentry">imdeconvl2</a> &#8212; <span class="refentry-description">Deconvolution with L2 Regularization</span></li>





<li><a href="imdeconvsobolev.html" class="refentry">imdeconvsobolev</a> &#8212; <span class="refentry-description">Deconvolution by Sobolev Regularization</span></li>





<li><a href="imdeconvwiener.html" class="refentry">imdeconvwiener</a> &#8212; <span class="refentry-description">Deconvolution with Wiener method</span></li>





<li><a href="imdecorrstretch.html" class="refentry">imdecorrstretch</a> &#8212; <span class="refentry-description">Apply decorrelation stretch to multichannel image</span></li>





<li><a href="imhistequal.html" class="refentry">imhistequal</a> &#8212; <span class="refentry-description">Histogram Equalization</span></li>





<li><a href="iminpaint.html" class="refentry">iminpaint</a> &#8212; <span class="refentry-description">Restores the selected region in an image using the region neighborhood</span></li>





<li><a href="immedian.html" class="refentry">immedian</a> &#8212; <span class="refentry-description">Image median filter</span></li>





<li><a href="imnoise.html" class="refentry">imnoise</a> &#8212; <span class="refentry-description">Add noise (gaussian, etc.) to an image</span></li>





<li><a href="imwiener2.html" class="refentry">imwiener2</a> &#8212; <span class="refentry-description">Wiener filter for image</span></li></ul></li>
<li><a href="section_3ba7058e738fa302f12702588c6eea04.html" class="part">Image Linear Filtering</a>
<ul class="list-chapter"><li><a href="filter2.html" class="refentry">filter2</a> &#8212; <span class="refentry-description">2D digital filtering</span></li>





<li><a href="fspecial.html" class="refentry">fspecial</a> &#8212; <span class="refentry-description">Create some 2D special filters</span></li>





<li><a href="imfilter.html" class="refentry">imfilter</a> &#8212; <span class="refentry-description">Image filtering</span></li></ul></li>
<li><a href="section_47cba15fa7c01219cabb9916618add8b.html" class="part">Image Reading, Display and Exploration</a>
<ul class="list-chapter"><li><a href="imcreatechecker.html" class="refentry">imcreatechecker</a> &#8212; <span class="refentry-description"></span></li>





<li><a href="imdestroy.html" class="refentry">imdestroy</a> &#8212; <span class="refentry-description">Destroy graphic window created using imdisplay (highgui).</span></li>





<li><a href="imdestroyall.html" class="refentry">imdestroyall</a> &#8212; <span class="refentry-description">Destroy ALL graphic window created using imdisplay (highgui).</span></li>





<li><a href="imdisplay.html" class="refentry">imdisplay</a> &#8212; <span class="refentry-description">Display image using highgui for faster frame rate</span></li>





<li><a href="imread.html" class="refentry">imread</a> &#8212; <span class="refentry-description">Reads image file</span></li>





<li><a href="imshow.html" class="refentry">imshow</a> &#8212; <span class="refentry-description">Display image in graphic window</span></li>





<li><a href="imwrite.html" class="refentry">imwrite</a> &#8212; <span class="refentry-description">Write image to file</span></li>





<li><a href="tifread.html" class="refentry">tifread</a> &#8212; <span class="refentry-description">Special function to read 12-bits 1024x1024 CCD image</span></li></ul></li>
<li><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html" class="part">Image Registration and Image Fusion</a>
<ul class="list-chapter"><li><a href="imfuse.html" class="refentry">imfuse</a> &#8212; <span class="refentry-description">Image fusion</span></li>





<li><a href="imgettransform.html" class="refentry">imgettransform</a> &#8212; <span class="refentry-description">Get transformation matrix from given source and destination points</span></li>





<li><a href="imphasecorr.html" class="refentry">imphasecorr</a> &#8212; <span class="refentry-description">Detection and automatic image registration for translation, rotation and scale using phase correlation method.</span></li>





<li><a href="imtransform.html" class="refentry">imtransform</a> &#8212; <span class="refentry-description">Image affine transformation</span></li>





<li><a href="warpmatselect.html" class="refentry">warpmatselect</a> &#8212; <span class="refentry-description">Selecting points for image transformation</span></li></ul></li>
<li><a href="section_addb367ddd42050cea4cae9d40b42c2c.html" class="part">Image Stitching</a>
<ul class="list-chapter"><li><a href="imstitchimage.html" class="refentry">imstitchimage</a> &#8212; <span class="refentry-description">Stitch Images Stored in List</span></li>





<li><a href="imstitchimage_params.html" class="refentry">imstitchimage_params</a> &#8212; <span class="refentry-description">Image Stitching Parameters</span></li></ul></li>
<li><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html" class="part">Image Transforms</a>
<ul class="list-chapter"><li><a href="imdct.html" class="refentry">imdct</a> &#8212; <span class="refentry-description">Discrete cosine transform (DCT)</span></li>





<li><a href="imhough.html" class="refentry">imhough</a> &#8212; <span class="refentry-description">Image Hough transformation</span></li>





<li><a href="imhoughc.html" class="refentry">imhoughc</a> &#8212; <span class="refentry-description">Image Hough transformation for Circle Detection</span></li>





<li><a href="imidct.html" class="refentry">imidct</a> &#8212; <span class="refentry-description">Inverse discrete cosine transform (DCT)</span></li>





<li><a href="imlogpolar.html" class="refentry">imlogpolar</a> &#8212; <span class="refentry-description">Remaps an image to log-polar space.</span></li>





<li><a href="imradon.html" class="refentry">imradon</a> &#8212; <span class="refentry-description">Calculates the 2D-Radon transform of the matrix</span></li></ul></li>
<li><a href="section_4f70f8509a7f440576b73059bcc6829d.html" class="part">Image Types and Color Space Conversions</a>
<ul class="list-chapter"><li><a href="hsv2rgb.html" class="refentry">hsv2rgb</a> &#8212; <span class="refentry-description">Convert a HSV image to the equivalent RGB image.</span></li>





<li><a href="im2bw.html" class="refentry">im2bw</a> &#8212; <span class="refentry-description">Convert image to binary</span></li>





<li><a href="im2double.html" class="refentry">im2double</a> &#8212; <span class="refentry-description">Convert image to double precision</span></li>





<li><a href="im2int16.html" class="refentry">im2int16</a> &#8212; <span class="refentry-description">Convert image to 16-bit signed integers</span></li>





<li><a href="im2int32.html" class="refentry">im2int32</a> &#8212; <span class="refentry-description">Convert image to 32-bit signed integers</span></li>





<li><a href="im2int8.html" class="refentry">im2int8</a> &#8212; <span class="refentry-description">Convert image to 8-bit signed integers</span></li>





<li><a href="im2uint16.html" class="refentry">im2uint16</a> &#8212; <span class="refentry-description">Convert image to 16-bit unsigned integers</span></li>





<li><a href="im2uint8.html" class="refentry">im2uint8</a> &#8212; <span class="refentry-description">Convert image to 8-bit unsigned integers</span></li>





<li><a href="imgraythresh.html" class="refentry">imgraythresh</a> &#8212; <span class="refentry-description">Calculate Otsu&#0039;s Global threshold value</span></li>





<li><a href="imnorm.html" class="refentry">imnorm</a> &#8212; <span class="refentry-description">Normalize input 2-D Image to the range of 0-1 for double, or 0-255 for uint8</span></li>





<li><a href="ind2rgb.html" class="refentry">ind2rgb</a> &#8212; <span class="refentry-description">Convert index image to RGB image</span></li>





<li><a href="mat2gray.html" class="refentry">mat2gray</a> &#8212; <span class="refentry-description">Convert matrix to grayscale image</span></li>





<li><a href="ntsc2rgb.html" class="refentry">ntsc2rgb</a> &#8212; <span class="refentry-description">Convert a NTSC image to the equivalent RGB image.</span></li>





<li><a href="rgb2gray.html" class="refentry">rgb2gray</a> &#8212; <span class="refentry-description">Convert RGB images to gray images</span></li>





<li><a href="rgb2hsv.html" class="refentry">rgb2hsv</a> &#8212; <span class="refentry-description">Convert a RGB image to the equivalent HSV image</span></li>





<li><a href="rgb2ind.html" class="refentry">rgb2ind</a> &#8212; <span class="refentry-description">Convert RGB image to index image</span></li>





<li><a href="rgb2lab.html" class="refentry">rgb2lab</a> &#8212; <span class="refentry-description">Convert from RGB color space to LAB color space</span></li>





<li><a href="rgb2ntsc.html" class="refentry">rgb2ntsc</a> &#8212; <span class="refentry-description">Convert a RGB image to the equivalent NTSC image YIQ.</span></li>





<li><a href="rgb2ycbcr.html" class="refentry">rgb2ycbcr</a> &#8212; <span class="refentry-description">Convert a RGB image to the equivalent YCbCr image.</span></li>





<li><a href="xs2im.html" class="refentry">xs2im</a> &#8212; <span class="refentry-description">Convert graphics to an image matrix.</span></li>





<li><a href="ycbcr2rgb.html" class="refentry">ycbcr2rgb</a> &#8212; <span class="refentry-description">Convert a YCbCr image to the equivalent RGB image.</span></li></ul></li>
<li><a href="section_03b5718a6323eea14c9b27ef3319ae25.html" class="part">Morphological Operations</a>
<ul class="list-chapter"><li><a href="bwborder.html" class="refentry">bwborder</a> &#8212; <span class="refentry-description">Find border for an image</span></li>





<li><a href="imblackhat.html" class="refentry">imblackhat</a> &#8212; <span class="refentry-description">Image blackhat</span></li>





<li><a href="imblobprop.html" class="refentry">imblobprop</a> &#8212; <span class="refentry-description">Calculate blobs properties from labeled image</span></li>





<li><a href="imclose.html" class="refentry">imclose</a> &#8212; <span class="refentry-description">Image closing</span></li>





<li><a href="imcreatese.html" class="refentry">imcreatese</a> &#8212; <span class="refentry-description">Creating Structure Element for Morphological operation</span></li>





<li><a href="imdilate.html" class="refentry">imdilate</a> &#8212; <span class="refentry-description">Image dilation</span></li>





<li><a href="imerode.html" class="refentry">imerode</a> &#8212; <span class="refentry-description">Image erosion</span></li>





<li><a href="imfill.html" class="refentry">imfill</a> &#8212; <span class="refentry-description">Filling holes for objects in a binary image</span></li>





<li><a href="imgradient.html" class="refentry">imgradient</a> &#8212; <span class="refentry-description">Image gradient</span></li>





<li><a href="imhitmiss.html" class="refentry">imhitmiss</a> &#8212; <span class="refentry-description">Image Hit-Miss</span></li>





<li><a href="imlabel.html" class="refentry">imlabel</a> &#8212; <span class="refentry-description">Find blobs in an image</span></li>





<li><a href="imopen.html" class="refentry">imopen</a> &#8212; <span class="refentry-description">Image opening</span></li>





<li><a href="imtophat.html" class="refentry">imtophat</a> &#8212; <span class="refentry-description">Image tophat</span></li></ul></li>
<li><a href="section_839fc35e3befad25e8912514a3fd6e8f.html" class="part">Object Detection</a>
<ul class="list-chapter"><li><a href="imdetectobjects.html" class="refentry">imdetectobjects</a> &#8212; <span class="refentry-description">Detect Objects In an Image with Cascade Classification</span></li></ul></li>
<li><a href="section_14ed4cc6f6638a94457aafa06e5a086c.html" class="part">ROI Processing</a>
<ul class="list-chapter"><li><a href="imroifill.html" class="refentry">imroifill</a> &#8212; <span class="refentry-description">Fill and image using the border color of the selected region</span></li>





<li><a href="imroifilt.html" class="refentry">imroifilt</a> &#8212; <span class="refentry-description">Filtering of a selected region</span></li></ul></li>
<li><a href="section_7eeae156a7978b7102ac83272fa22c7c.html" class="part">Spatial Transformations</a>
<ul class="list-chapter"><li><a href="imcrop.html" class="refentry">imcrop</a> &#8212; <span class="refentry-description">Crop image</span></li>





<li><a href="imcropm.html" class="refentry">imcropm</a> &#8212; <span class="refentry-description">Crop an image using mouse selection</span></li>





<li><a href="impyramid.html" class="refentry">impyramid</a> &#8212; <span class="refentry-description">Image pyramid reduction and expansion</span></li>





<li><a href="imresize.html" class="refentry">imresize</a> &#8212; <span class="refentry-description">Resizes image</span></li>





<li><a href="imrotate.html" class="refentry">imrotate</a> &#8212; <span class="refentry-description">Rotate an image to given angle</span></li></ul></li>
<li><a href="section_1aa4355ff9a84e213103262933eb8d3e.html" class="part">Structural Analysis and Shape Descriptors</a>
<ul class="list-chapter"><li><a href="imconvexHull.html" class="refentry">imconvexHull</a> &#8212; <span class="refentry-description">Finds the convex hull of a point set.</span></li>





<li><a href="imdrawcontours.html" class="refentry">imdrawcontours</a> &#8212; <span class="refentry-description">Draw contours from the contour image.</span></li>





<li><a href="imfindcontours.html" class="refentry">imfindcontours</a> &#8212; <span class="refentry-description">Finds contours in a binary image.</span></li></ul></li>
<li><a href="section_3f7d94ee9b4931d8a1f90f6aa311d406.html" class="part">Super Resolution</a>
<ul class="list-chapter"><li><a href="imsuperres.html" class="refentry">imsuperres</a> &#8212; <span class="refentry-description">Super Resolution with Image Sequences</span></li>





<li><a href="imsuperres_params.html" class="refentry">imsuperres_params</a> &#8212; <span class="refentry-description">Super Resolution with Image Sequences Parameters</span></li></ul></li>
<li><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html" class="part">Utilities and Interactive Tools</a>
<ul class="list-chapter"><li><a href="im2movie.html" class="refentry">im2movie</a> &#8212; <span class="refentry-description">Create movie from sequence of images</span></li>





<li><a href="imaddtext.html" class="refentry">imaddtext</a> &#8212; <span class="refentry-description">Adding text to a color image</span></li>





<li><a href="imbreakset.html" class="refentry">imbreakset</a> &#8212; <span class="refentry-description">Set the break event with Scilab figure</span></li>





<li><a href="imbreakunset.html" class="refentry">imbreakunset</a> &#8212; <span class="refentry-description">Unset the break event with Scilab figure</span></li>





<li><a href="imcaminfo.html" class="refentry">imcaminfo</a> &#8212; <span class="refentry-description">Show the supported raw resolution for an USB camera (linux only)</span></li>





<li><a href="imdistline.html" class="refentry">imdistline</a> &#8212; <span class="refentry-description">Measure distance between 2 selected points in pixels.</span></li>





<li><a href="imlsusb.html" class="refentry">imlsusb</a> &#8212; <span class="refentry-description">List all USB devices connected to PC (linux only)</span></li>





<li><a href="impixelval.html" class="refentry">impixelval</a> &#8212; <span class="refentry-description">Interactive tool to inspect pixel value at selected point</span></li>





<li><a href="imrects.html" class="refentry">imrects</a> &#8212; <span class="refentry-description">Draw Bounding Boxes on An Image</span></li>





<li><a href="imroi.html" class="refentry">imroi</a> &#8212; <span class="refentry-description">Select region of interest and create a mask from it</span></li>





<li><a href="imselect.html" class="refentry">imselect</a> &#8212; <span class="refentry-description">Select points on an image.</span></li>





<li><a href="rectangle.html" class="refentry">rectangle</a> &#8212; <span class="refentry-description">Draw a rectangle on image</span></li></ul></li>
<li><a href="section_ca80954213d07446b5a945dc2733d9ae.html" class="part">Video Handling</a>
<ul class="list-chapter"><li><a href="addframe.html" class="refentry">addframe</a> &#8212; <span class="refentry-description">Add a frame to the video file. (experimental)</span></li>





<li><a href="aviclose.html" class="refentry">aviclose</a> &#8212; <span class="refentry-description">Close a video file. (experimental)</span></li>





<li><a href="avicloseall.html" class="refentry">avicloseall</a> &#8212; <span class="refentry-description">Close all opened video files/cameras. (experimental)</span></li>





<li><a href="avifile.html" class="refentry">avifile</a> &#8212; <span class="refentry-description">Create a new video file to write. (experimental)</span></li>





<li><a href="avilistopened.html" class="refentry">avilistopened</a> &#8212; <span class="refentry-description">Show all opened video files. (experimental)</span></li>





<li><a href="aviopen.html" class="refentry">aviopen</a> &#8212; <span class="refentry-description">Open a video file. (experimental)</span></li>





<li><a href="avireadframe.html" class="refentry">avireadframe</a> &#8212; <span class="refentry-description">Grabs and returns a frame from a opened video file or camera (experimental)</span></li>





<li><a href="camopen.html" class="refentry">camopen</a> &#8212; <span class="refentry-description">Open a camera. (experimental)</span></li>





<li><a href="camread.html" class="refentry">camread</a> &#8212; <span class="refentry-description">Grabs and returns a frame from a camera(experimental)</span></li></ul></li></ul>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	
      </td>
      <td width="40%" class="center">
      	
      </td>
      <td width="30%" class="next">
      	
      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
